# PNEUMONIA XRAY RESULT CLASSIFICATION

A machine learning program that classifies correctly sick patient's chest xray reports to be either pneumonia infected or normal. This program uses a **neural network algorithm** to detect sick patient.

## Data set and its description  

| Data              | Description                                               |
|-------------------|-----------------------------------------------------------|
| Image             | the image object (jpeg format)                            |
| Label             | class of the image (normal, pneumonia)                    |

## Dependencies and packages  

1. numpy>=1.20.0,<1.21.0
2. python = 3.10
3. pandas = 2.2.2
4. scikit-learn = 1.4.2
5. pydantic = 2.7.0
6. strictyaml = 1.7.3
7. tensorflow = 2.16.1
8. scikeras = 0.13.0
9. tensorflow-datasets = 4.9.4
10. pillow = 10.3.0
11. pydantic-settings = 2.2.1
12. fastapi = 0.110.3
13. uvicorn = 0.29.0
14. loguru = 0.7.2
15. python-multipart = 0.0.9

## Source code link  

Source code link:
[Github link](https://github.com/chibuikeeugene/pneumonia_classification_xception_model.git)

Python index package:
[Pypi link](https://pypi.org/project/pneumonia_model_package/)
